Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This is a very popular question, but bare with me as I have tried teverything you are all about to suggest. So This is what I get:

sudo apt-get install ubuntu-desktop
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help resolve the situation:

The following packages have unmet dependencies:
 ubuntu-desktop : Depends: ubuntu-session but it is not going to be installed
                  Depends: unity-control-center but it is not going to be installed
                  Depends: unity-settings-daemon but it is not going to be installed
                  Recommends: xul-ext-webaccounts but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

So I try to install unity-control-center

Depends: unity-settings-daemon but it is not going to be installed

So I try to install unity-settings-daemon

Depends: gnome-settings-daemon-schemas (< 3.10) but 3.12.2-0ubuntu1~trusty2 is to be installed

The root problem appears to be that gnome-settings-daemon-schemas version 3.10 or less is needed, but it can't get it for some reason.

So you might be thinking try the following:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo apt-get clean
sudo apt-get autoclean
sudo dpkg --configure -a
sudo -f

I am currently logged into gnome, when I try to boot into lightgdm the system hangs right after something about printer spooling.

I currently have gdm, kdm and lightgdm.

I want my computer back to just gnome and ubuntu unity. Any thoughts? (A re-install is out of the question)

share|improve this question
1  
Yep, have the same problem myself. I have moved to gnome - try askubuntu.com/questions/452864/… –  Tim Jul 31 at 14:53
    
@Tim None of that helps. I want unity back. –  user3379926 Jul 31 at 15:01
    
Have you added the gnome 3.12 ppa? –  Tim Jul 31 at 15:25

1 Answer 1

Unity is based on gnome. A lot of the unity packages (and ubuntu-desktop) packages depend on gnome packages.

So the problem here appears to be that the Gnome 3.12 ppa has been added.

gnome-settings-daemon-schemas

is part of Gnome. The packages you are trying to install (ubuntu-desktop) need version 3.10 from gnome, but it can't get to version 3.10, because of the ppa telling it to get it from the 3.12 repos.

If you want unity back, you need to install the previous version:

sudo apt-get install gnome-settings-daemon-schemas=3.8.6.1-0ubuntu11.2

but this will remove some because of dependencies - so gnome 3.12 will break...

The following packages will be REMOVED
  gdm gnome-control-center gnome-session gnome-settings-daemon gnome-shell
The following packages will be DOWNGRADED:
  gnome-settings-daemon-schemas
share|improve this answer
    
it doesnt work. –  Hector Aug 11 at 16:43
    
What error message? –  Tim Aug 11 at 16:48
    
the same error of the question, I run gnome-settings-daemon-schemas but the order does not exist –  Hector Aug 11 at 16:52
    
Don't know then, sorry... –  Tim Aug 11 at 16:53
2  
You solved my problem with "sudo apt-get install gnome-settings-daemon-schemas=3.8.6.1-0ubuntu11.2". After that i could install ubuntu-desktop again. –  Pedro Alves Aug 18 at 17:29

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.